=== debian/changelog ===
paraview (5.4.1+dfsg3-1) unstable; urgency=medium

  * [de478ff] Use packaged protobuf version

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Sep 2017 23:30:47 +0200

paraview (5.4.1+dfsg2-1) unstable; urgency=medium

  * [14b8c44] Drop embedded version of cgns

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Sep 2017 18:25:02 +0200

paraview (5.4.1+dfsg1-1) unstable; urgency=medium

  * [663aeb8] New upstream version 5.4.1+dfsg1
  * [df8c7f2] Refresh patches
  * [6c0e2d3] Some minor changes in d/rules and install files
  * [2dd50c2] Remove libqtwebkit-dev from build-depends. (Closes: #784505)
  * [546b2fd] Remove Christophe from uploaders. (Closes: #835002)
  * [e3a8012] Update d/copyright

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Sep 2017 08:51:19 +0200
