=== debian/tests/control ===
Tests: paraviewtest.py
Depends: paraview-python
